<?php
error_reporting(E_ALL);
$db_host	= '';
$db_database	= '';
$db_user	= '';
$db_pass	= "";
$requirements	= [
	'PHP Version'		=> [version_compare(PHP_VERSION, '5.5', '>='), 'Your servers PHP version is ' . PHP_VERSION . '. We require 5.5 or higher.'],
	'PHP MySQLi Extension'	=> [(function_exists('mysqli_connect')), 'Missing PHP MySQLi Extension'],
	'PHP cURL Library'	=> [(extension_loaded('curl') && function_exists('curl_init')), 'Missing PHP cURL Library'],
	'PHP FTP Extension'	=> [(function_exists('ftp_connect')), 'Missing FTP Extension'],
	'PHP ZipArchive Class'	=> [(class_exists('ZipArchive')), 'Missing PHP ZipArchive Class'],
];
if ($db_host and $db_database and $db_user and $db_pass and function_exists('mysqli_connect')) {
	$conn	= mysqli_connect($db_host, $db_user, $db_pass, $db_database);
	if (! $conn) {
		$requirements['MySQL Version'][0]	= 0;
		$requirements['MySQL Version'][1]	= mysqli_connect_error();
	}
	else {
		$result		= $conn->server_version;
		$mainVersion	= round($result / 10000, 0);
		$minorVersion	= round(($result - $mainVersion * 10000) / 100, 0);
		$subVersion	= ($result - $minorVersion * 100 - $mainVersion * 10000);
		$version	= "$mainVersion.$minorVersion";
		if ($version < 5.5) {
			$requirements['MySQL Version'][0]	= 0;
			$requirements['MySQL Version'][1]	= 'Your servers MySQL version is ' . $version . '. We require 5.5 or higher.';
		}
		else {
			$requirements['MySQL Version'][0]	= 1;
			$requirements['MySQL Version'][1]	= '';
		}
	}
}
?>
<html>
<head>
<title>Password Sentry Requirement Check</title>
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
</head>
<body>
<nav class="navbar navbar-default navbar-static-top">
	<div class="container">
		<a class="navbar-brand" href="http://www.password-sentry.com/">Password Sentry</a>
	</div>
</nav>
<div class="container">
	<h1>Requirement Check</h1>
	<table class="table">
<?php
foreach ($requirements as $name => $values) {
	$message	= '<p class="text-danger">Failed</p><p>' . $values[1] . '</p>';
	$class		= 'danger';
	if ($values[0]) {
		$message	= '<p class="text-success">Passed</p>';
		$class		= '';
	}
	echo '<tr class="' . $class . '">';
	echo '<td>' . $name . '</td><td>' . $message . '</td>';
	echo '</tr>';
}
?>
	</table>
</div>
</body>
</html>
